{% extends 'base.html.twig' %}

{% block title %}liste des evenements {% endblock %}

{% block body %}
<div class="container-fluid">
<div id="myCarousel" class="carousel slide" data-ride="carousel">
<ol class="carousel-indicators">
{% for evenement in evenements %}
<li data-target="#myCarousel" data-slide-to="loop.index" class="{% if loop.index == 1 %} active {% endif %}"></li>
{% endfor %}
</ol>
<div class="carousel-inner">
{% for evenement in evenements %}
<div class="carousel-item {% if loop.index == 1 %} active {% endif %}">
{# <svg class="bd-placeholder-img" width="100%" height="100%" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img"><rect width="100%" height="100%" fill="#777"/></svg> #}
{% if evenement.imageFile == null %}
<svg class=" d-block w-100 bd-placeholder-img" width="100%" height="100%" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img"><rect width="100%" height="100%" fill="#777"/></svg> 
{% else %}
<div class="img">
<img class="d-block w-100 " src="{{ vich_uploader_asset(evenement, 'imageFile') }}" alt="evenement image">
</div>
{% endif %}
<div class="container">
<div class="carousel-caption text-left">
<h1>{{ evenement.title | raw}}</h1>
<div class="collapse" id="collapseExample">
<p>{{ evenement.abstract | raw}}</p>
</div>
{% if evenement.abstract == null %}
{# <button class="btn btn-lg btn-primary" id="myBtn">En savoir plus</button> #}
{% else %} 
<button class="btn btn-lg btn-primary" id="myBtn" type="button" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample"><i class="fas fa-chevron-circle-down"></i> En savoir plus</button>
{% endif %} 
</div>
</div>
</div>
{% endfor %}
</div>
<a class="carousel-control-prev" href="#myCarousel" role="button" data-slide="prev">
<span class="carousel-control-prev-icon" aria-hidden="true"></span>
<span class="sr-only">Précédent</span>
</a>
<a class="carousel-control-next" href="#myCarousel" role="button" data-slide="next">
<span class="carousel-control-next-icon" aria-hidden="true"></span>
<span class="sr-only">Suivant</span>
</a>

</div>

</div>

<div class="container marketing">

<!-- Three columns of text below the carousel -->
<div class="row">
{% for evenement in evenements %}
<div class="col-lg-4">
{% if evenement.imageFile == null %}
<svg class="bd-placeholder-img rounded-circle" width="140" height="140" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: 140x140"><title>Placeholder</title><rect width="100%" height="100%" fill="#777"/><text x="50%" y="50%" fill="#777" dy=".3em">140x140</text></svg> 
{% else %}
<img class="bd-placeholder-img rounded-circle" src="{{ vich_uploader_asset(evenement, 'imageFile') }}" alt="rentree" width="140" height="140">
{% endif %}
<h2>{{ evenement.title | raw}}</h2>
{# <p>{{ evenement.description | raw}}</p> #}
<p><a class="btn btn-secondary" href="{{ path('evenement-detaille', {'id': evenement.id}) }}" role="button">Voir details &raquo;</a></p>
</div><!-- /.col-lg-4 -->
{% endfor %}
</div>
</div>

{% endblock %}







